; Optimized panel offsets can be found at the end of the file
; Optimized panel offsets can be found at the end of the file
; CrystFEL geometry file produced by prepare_cheetah_api2.py
;   Takanori Nakane (takanori.nakane@bs.s.u-tokyo.ac.jp)
; for tiled but NOT reassembled images (512x8192 pixels)

clen = 0.0490
res = 20000                 ; = 1 m /50 micron
;badrow_direction = x
;max_adu = 250000           ; should NOT be used. see best practice on CrystFEL's Web site
data = /%/data
;mask = /metadata/pixelmask ; this does not work in CrystFEL 0.6.2 (reported bug)
mask_good = 0x00            ; instead, we can specify bad regions below if necessary
mask_bad = 0xFF
photon_energy = /%/photon_energy_ev ; roughly 10005.5 eV

; Definitions for geoptimiser
rigid_group_q1 = q1
rigid_group_q2 = q2
rigid_group_q3 = q3
rigid_group_q4 = q4
rigid_group_q5 = q5
rigid_group_q6 = q6
rigid_group_q7 = q7
rigid_group_q8 = q8

rigid_group_collection_connected = q1,q2,q3,q4,q5,q6,q7,q8
rigid_group_collection_independent = q1,q2,q3,q4,q5,q6,q7,q8

; Panel definitions
; sensor MPCCD-8B0-2-003-1
q1/adu_per_eV = 0.000999
q1/min_fs = 0
q1/min_ss = 0
q1/max_fs = 511
q1/max_ss = 1023
q1/fs = -0.001564x -0.999999y
q1/ss = +0.999999x -0.001564y
q1/corner_x = 33.6155
q1/corner_y = 1032

; sensor MPCCD-8B0-2-003-2
q2/adu_per_eV = 0.000999
q2/min_fs = 0
q2/min_ss = 1024
q2/max_fs = 511
q2/max_ss = 2047
q2/fs = +0.000138x -1.000000y
q2/ss = +1.000000x +0.000138y
q2/corner_x = 33.04
q2/corner_y = 499.31

; sensor MPCCD-8B0-2-003-3
q3/adu_per_eV = 0.000999
q3/min_fs = 0
q3/min_ss = 2048
q3/max_fs = 511
q3/max_ss = 3071
q3/fs = -0.000302x -1.000000y
q3/ss = +1.000000x -0.000302y
q3/corner_x = -16.9017
q3/corner_y = -34.0437

; sensor MPCCD-8B0-2-003-4
q4/adu_per_eV = 0.000999
q4/min_fs = 0
q4/min_ss = 3072
q4/max_fs = 511
q4/max_ss = 4095
q4/fs = -0.000334x -0.999999y
q4/ss = +0.999999x -0.000334y
q4/corner_x = -16.6573
q4/corner_y = -570.442

; sensor MPCCD-8B0-2-003-5
q5/adu_per_eV = 0.000999
q5/min_fs = 0
q5/min_ss = 4096
q5/max_fs = 511
q5/max_ss = 5119
q5/fs = +0.003702x +0.999993y
q5/ss = -0.999993x +0.003702y
q5/corner_x = 18.7327
q5/corner_y = 569.661

; sensor MPCCD-8B0-2-003-6
q6/adu_per_eV = 0.000999
q6/min_fs = 0
q6/min_ss = 5120
q6/max_fs = 511
q6/max_ss = 6143
q6/fs = +0.002409x +0.999998y
q6/ss = -0.999998x +0.002409y
q6/corner_x = 17.5611
q6/corner_y = 37.0762

; sensor MPCCD-8B0-2-003-7
q7/adu_per_eV = 0.000999
q7/min_fs = 0
q7/min_ss = 6144
q7/max_fs = 511
q7/max_ss = 7167
q7/fs = +0.001372x +0.999999y
q7/ss = -0.999999x +0.001372y
q7/corner_x = -33.7312
q7/corner_y = -496.792

; sensor MPCCD-8B0-2-003-8
q8/adu_per_eV = 0.000999
q8/min_fs = 0
q8/min_ss = 7168
q8/max_fs = 511
q8/max_ss = 8191
q8/fs = +0.002320x +0.999997y
q8/ss = -0.999997x +0.002320y
q8/corner_x = -35.0771
q8/corner_y = -1035.86

; Bad regions near edges of each sensor
badv1/min_fs = 0
badv1/max_fs = 4
badv1/min_ss = 0
badv1/max_ss = 8191

badv2/min_fs = 507
badv2/max_fs = 511
badv2/min_ss = 0
badv2/max_ss = 8191

badq0h1/min_fs = 0
badq0h1/max_fs = 511
badq0h1/min_ss = 0
badq0h1/max_ss = 4

badq1h1/min_fs = 0
badq1h1/max_fs = 511
badq1h1/min_ss = 1024
badq1h1/max_ss = 1028

badq2h1/min_fs = 0
badq2h1/max_fs = 511
badq2h1/min_ss = 2048
badq2h1/max_ss = 2052

badq3h1/min_fs = 0
badq3h1/max_fs = 511
badq3h1/min_ss = 3072
badq3h1/max_ss = 3076

badq4h1/min_fs = 0
badq4h1/max_fs = 511
badq4h1/min_ss = 4096
badq4h1/max_ss = 4100

badq5h1/min_fs = 0
badq5h1/max_fs = 511
badq5h1/min_ss = 5120
badq5h1/max_ss = 5124

badq6h1/min_fs = 0
badq6h1/max_fs = 511
badq6h1/min_ss = 6144
badq6h1/max_ss = 6148

badq7h1/min_fs = 0
badq7h1/max_fs = 511
badq7h1/min_ss = 7168
badq7h1/max_ss = 7172

; Bad regions near outer edges of each sensor
badq0h2/min_fs = 0
badq0h2/max_fs = 511
badq0h2/min_ss = 1000
badq0h2/max_ss = 1023

badq1h2/min_fs = 0
badq1h2/max_fs = 511
badq1h2/min_ss = 2022
badq1h2/max_ss = 2047

badq2h2/min_fs = 0
badq2h2/max_fs = 511
badq2h2/min_ss = 3049
badq2h2/max_ss = 3071

badq3h2/min_fs = 0
badq3h2/max_fs = 511
badq3h2/min_ss = 4072
badq3h2/max_ss = 4095

badq4h2/min_fs = 0
badq4h2/max_fs = 511
badq4h2/min_ss = 5098
badq4h2/max_ss = 5119

badq5h2/min_fs = 0
badq5h2/max_fs = 511
badq5h2/min_ss = 6123
badq5h2/max_ss = 6143

badq6h2/min_fs = 0
badq6h2/max_fs = 511
badq6h2/min_ss = 7145
badq6h2/max_ss = 7167

badq7h2/min_fs = 0
badq7h2/max_fs = 511
badq7h2/min_ss = 8169
badq7h2/max_ss = 8191



q1/coffset = -0.000061
q2/coffset = -0.000061
q3/coffset = -0.000061
q4/coffset = -0.000061
q5/coffset = -0.000061
q6/coffset = -0.000061
q7/coffset = -0.000061
q8/coffset = -0.000061
